.button {
    border: 0;
    color: $black;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    padding: 1em 1.5em;
    box-sizing: border-box;
    background: $white;

    &:hover {
        background: $black;
        color: $white;
    }

    &--large {
        font-size: 1.15rem;
    }

    &--yellow {
        background-color: $broom;

        &:hover {
            color: $white;
        }
    }

    &--blue {
        background-color: $eastern-blue;
        color: $white;
    }

    &--blue-bordered {
        color: $eastern-blue;
        background-color: $white;
        border: 2px solid $eastern-blue;

        &:hover {
            background-color: $eastern-blue;
        }
    }
}
